#!/bin/bash

# This script can be used to run MC-HP on a local Hadoop installation. To install
# Hadoop locally please consult the Hadoop MapReduce documentation:
# http://hadoop.apache.org/common/docs/r0.21.0/single_node_setup.html

# Please modify this variable using the Hadoop installation directory
export HADOOP_HOME=/home/guillem/Software/hadoop-0.21.0

# Command line used to initiate the computation
$HADOOP_HOME/bin/hadoop jar $HADOOP_HOME/mapred/contrib/streaming/hadoop-*-streaming.jar\
 -D stream.map.input=text \
 -D stream.map.output=typedbytes \
 -D stream.reduce.input=typedbytes \
 -D stream.reduce.output=typedbytes \
 -D mapred.task.timeout=600000 \
 -input seeds.txt \
 -output output \
 -mapper mcmap \
 -reducer mcred \
 -file mcmap \
 -file mcred 

# Copy the output from HDFS back to the local filesystem
$HADOOP_HOME/bin/hadoop dfs -get  output .




