#!/bin/bash

# This script can be used to run MC-HP using the Amazon EMR cloud
# computing environment. Please replace <mc321> with the name of
# the S3 bucket containing the binaries and the input files.

# The command line interface can be freely obtained from:
# http://aws.amazon.com/developertools/2264
# Configure the tool following the instructions provided by Amazon.

# Adjust --num-instances, --slave-instance-type, 
# --args -D,mapred.reduce.tasks, --args -D,mapred.map.tasks as needed.

elastic-mapreduce --create \
     --enable-debugging \
     --stream \
     --input   s3://mc321/seeds.txt \
     --mapper  s3://mc321/mcmap \
     --reducer s3://mc321/mcred \
     --output  s3://mc321/output_1 \
     --name MC_job_1 \
     --num-instances 10 \
     --slave-instance-type c1.medium \
     --master-instance-type c1.medium \
     --jobconf mapred.task.timeout=360000000 \
     --args -D,stream.map.input=text \
     --args -D,stream.map.output=typedbytes \
     --args -D,stream.reduce.input=typedbytes \
     --args -D,stream.reduce.output=typedbytes \
     --args -D,mapred.reduce.tasks=1 \
     --args -D,mapred.map.tasks=100
